Organization settings

Update organization settings

PATCH
/orgs/{organizationId}/organization-settings

Partially updates organization settings. Requires organization:settings:write.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

Request Body

application/json
  1. body
invoicePdfShowGeneralTerms?boolean
pdfPrintingEnabled?boolean
autoPrintInvoiceOnPaid?boolean
autoPrintIdentityDocumentScanOnLink?boolean
printerIp?|unknown|null
thermalPrinterIp?|unknown|null
thermalPrinterPaperWidthMm?unknown|unknown
labelPrinterIp?|unknown|null
showOthersPaymentMethod?boolean
defaultManualBankTransferReminder?boolean
timeZone?string
invoiceShowLineItemTaxDropdown?boolean
invoiceShowTaxTable?boolean
invoiceDueDateDays?integer
Range0 <= value <= 9007199254740991
invoiceItemsPerPage?integer
Range-9007199254740991 <= value <= 9007199254740991
printingPausedUntil?|null
defaultCountry?string
Length2 <= length <= 2
cashPaymentMaxAmount?integer
Range0 <= value <= 9007199254740991
validTaxPercentages?array<>
emailFrom?|unknown|null
occupationRentPeriods?array<>
mapCenter?array<any>
mapBearing?number
Range0 <= value <= 360
mapRotation?number
Range0 <= value <= 360
primaryColor?string
Match^#[0-9A-Fa-f]{6}$
secondaryColor?string
Match^#[0-9A-Fa-f]{6}$
headerColor?string
Match^#[0-9A-Fa-f]{6}$
accessPointLocation?array<any>|null
walletPassBackgroundFocusX?number
Range0 <= value <= 100
walletPassBackgroundFocusY?number
Range0 <= value <= 100
printCutoffSchedule?
openingHoursSchedule?
invoicePrintTimingByChannel?
lprExitGraceEnabled?boolean
lprExitGraceDays?integer
Range0 <= value <= 30

Response Body

OK

application/json
  1. response
curl -X PATCH 'https://api.tillor.eu/orgs/string/organization-settings' \  -H 'Content-Type: application/json' \  -d '{}'
null